Package com.io7m.coffeepick.api

# Class CoffeePickCatalogEventRepositoryUpdateFailed

java.lang.Object
com.io7m.coffeepick.api.CoffeePickCatalogEventRepositoryUpdateFailed

All Implemented Interfaces:
  `CoffeePickCatalogEventRepositoryUpdateFailedType`, `CoffeePickCatalogEventType`, `CoffeePickEventType`

    public final class CoffeePickCatalogEventRepositoryUpdateFailed
    extends java.lang.Object
    implements CoffeePickCatalogEventRepositoryUpdateFailedType

An update of the catalog failed.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CoffeePickCatalogEventRepositoryUpdateFailed.Builder` | Builds instances of type `CoffeePickCatalogEventRepositoryUpdateFailed`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.api.CoffeePickEventType

  `CoffeePickEventType.Severity`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CoffeePickCatalogEventRepositoryUpdateFailed.Builder` | `builder()` | Creates a builder for `CoffeePickCatalogEventRepositoryUpdateFailed`.
  `static CoffeePickCatalogEventRepositoryUpdateFailed` | `copyOf​(CoffeePickCatalogEventRepositoryUpdateFailedType instance)` | Creates an immutable copy of a `CoffeePickCatalogEventRepositoryUpdateFailedType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `CoffeePickCatalogEventRepositoryUpdateFailed` that have equal attribute values.
  `java.lang.Exception` | `exception()` |
  `int` | `hashCode()` | Computes a hash code from attributes: `uri`, `exception`.
  `static CoffeePickCatalogEventRepositoryUpdateFailed` | `of​(java.net.URI uri, java.lang.Exception exception)` | Construct a new immutable `CoffeePickCatalogEventRepositoryUpdateFailed` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `CoffeePickCatalogEventRepositoryUpdateFailed` with attribute values.
  `java.net.URI` | `uri()` |
  `CoffeePickCatalogEventRepositoryUpdateFailed` | `withException​(java.lang.Exception value)` | Copy the current immutable object by setting a value for the `exception` attribute.
  `CoffeePickCatalogEventRepositoryUpdateFailed` | `withUri​(java.net.URI value)` | Copy the current immutable object by setting a value for the `uri` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.api.CoffeePickCatalogEventRepositoryUpdateFailedType

  `severity`

- ## Method Details

  - ### uri

    public java.net.URI uri()
    Specified by:
      `uri` in interface `CoffeePickCatalogEventRepositoryUpdateFailedType`
    Returns:
      The URI of the repository

  - ### exception

    public java.lang.Exception exception()
    Specified by:
      `exception` in interface `CoffeePickCatalogEventRepositoryUpdateFailedType`
    Returns:
      The exception

  - ### withUri

    public final CoffeePickCatalogEventRepositoryUpdateFailed withUri​(java.net.URI value)
    Copy the current immutable object by setting a value for the `uri` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for uri
    Returns:
      A modified copy of the `this` object

  - ### withException

    public final CoffeePickCatalogEventRepositoryUpdateFailed withException​(java.lang.Exception value)
    Copy the current immutable object by setting a value for the `exception` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for exception
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `CoffeePickCatalogEventRepositoryUpdateFailed` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `uri`, `exception`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `CoffeePickCatalogEventRepositoryUpdateFailed` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static CoffeePickCatalogEventRepositoryUpdateFailed of​(java.net.URI uri, java.lang.Exception exception)
    Construct a new immutable `CoffeePickCatalogEventRepositoryUpdateFailed` instance.
    Parameters:
      `uri` - The value for the `uri` attribute
      `exception` - The value for the `exception` attribute
    Returns:
      An immutable CoffeePickCatalogEventRepositoryUpdateFailed instance

  - ### copyOf

    public static CoffeePickCatalogEventRepositoryUpdateFailed copyOf​(CoffeePickCatalogEventRepositoryUpdateFailedType instance)
    Creates an immutable copy of a `CoffeePickCatalogEventRepositoryUpdateFailedType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable CoffeePickCatalogEventRepositoryUpdateFailed instance

  - ### builder

    public static CoffeePickCatalogEventRepositoryUpdateFailed.Builder builder()
    Creates a builder for `CoffeePickCatalogEventRepositoryUpdateFailed`.

         CoffeePickCatalogEventRepositoryUpdateFailed.builder()
            .setUri(java.net.URI) // required uri
            .setException(Exception) // required exception
            .build();

    Returns:
      A new CoffeePickCatalogEventRepositoryUpdateFailed builder